## ubelt 1.2.3

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = UBelt
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
ubelt (1.2.3-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 24 Feb 2023 15:05:46 -0400

ubelt (1.2.3-1) unstable; urgency=low

  * Initial release. Closes: #1025513

 -- Bo YU <tsu.yubo@gmail.com>  Fri, 17 Feb 2023 00:56:02 +0800

=== debian/control ===
Source: ubelt
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Bo YU <tsu.yubo@gmail.com>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               pybuild-plugin-pyproject,
               python3-setuptools,
               python3-xdoctest <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-pytest-timeout <!nocheck>,
               python3-coverage <!nocheck>,
               python3-requests <!nocheck>,
               sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               dh-sequence-sphinxdoc <!nodoc>,
Standards-Version: 4.6.2
Homepage: https://github.com/Erotemic/ubelt
Vcs-Git: https://salsa.debian.org/python-team/packages/ubelt.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/ubelt
Rules-Requires-Root: no
Description: Python Utility Belt Library
 Ubelt is a small library of robust, tested, documented, and simple
 functions that extend the Python standard library. It has a flat
 API that all behaves similarly on Windows, Mac, and Linux (up to
 some small unavoidable differences). Almost every function in ubelt
 was written with a doctest.
 .
  * Goal: provide simple functions that accomplish common tasks not
    yet addressed by the python standard library.
  * Constraints: Must be low-impact pure python; it should be easy to
    install and use.
  * Method: All functions are written with docstrings and doctests to
    ensure that a baseline level of documentation and testing always
    exists (even if functions are copy/pasted into other libraries)
  * Motto: Good utilities lift all codes.

Package: python3-ubelt
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This is ubelt python package.

Package: python-ubelt-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Recommends: python3-ubelt
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package contains the ubelt documentation in HTML format.

=== debian/tests/control ===
Tests: pytest 
Depends: @, python3-all, python3-pytest, python3-xdoctest, python3-requests

## ubelt 1.3.3

=== requirements.txt ===
-r requirements/runtime.txt
-r requirements/tests.txt
-r requirements/optional.txt

=== debian/changelog ===
ubelt (1.3.3-1) unstable; urgency=medium

  * New upstream version 1.3.3

 -- Bo YU <tsu.yubo@gmail.com>  Sat, 12 Aug 2023 13:14:59 +0800

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=ubelt

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_after_dh_auto_build:
ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	PYTHONPATH=$(CURDIR) $(MAKE) -C docs html
	# Avoid external images, but no PoYIsWE.png is here
	sed -i 's/https:\/\/i.imgur.com\/PoYIsWE.png//g' docs/build/html/index.html
endif

execute_after_dh_auto_clean:
ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	$(MAKE) -C docs clean
endif

override_dh_installdocs:
	dh_installdocs -ppython-ubelt-doc --doc-main-package=python3-ubelt
	dh_installdocs --remaining-packages

=== debian/watch ===
version=4
opts="mode=git" \
https://github.com/Erotemic/ubelt.git \
refs/tags/v([\d\.]+)

## ubelt 1.3.4

=== debian/changelog ===
ubelt (1.3.4-1) unstable; urgency=medium

  * change debian/watch
  * New upstream version 1.3.4
  * Add python3-sphinx-reredirects on doc.
  * Add MA support for all -doc package.
  * Add examples into -doc package.
  * Fix spell warning from 'python' to 'Python' and
    drop duplicate word from d/python-ubelt-doc.doc-base
  * Update d/copyright

 -- Bo YU <tsu.yubo@gmail.com>  Mon, 11 Mar 2024 22:31:11 +0800

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
                python3-coverage <!nocheck>,
                python3-requests <!nocheck>,
                sphinx <!nodoc>,
+               python3-sphinx-reredirects <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
                dh-sequence-sphinxdoc <!nodoc>,
 Standards-Version: 4.6.2
@@ -30,8 +31,8 @@
  was written with a doctest.
  .
   * Goal: provide simple functions that accomplish common tasks not
-    yet addressed by the python standard library.
-  * Constraints: Must be low-impact pure python; it should be easy to
+    yet addressed by the Python standard library.
+  * Constraints: Must be low-impact pure Python; it should be easy to
     install and use.
   * Method: All functions are written with docstrings and doctests to
     ensure that a baseline level of documentation and testing always
@@ -44,14 +45,15 @@
 Description: ${source:Synopsis}
  ${source:Extended-Description}
  .
- This is ubelt python package.
+ This is ubelt Python package.
 
 Package: python-ubelt-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Recommends: python3-ubelt
 Description: ${source:Synopsis}
  ${source:Extended-Description}
  .
- This package contains the ubelt documentation in HTML format.
+ This package contains the ubelt documentation and examples files.

## ubelt 1.3.6

=== debian/changelog ===
ubelt (1.3.6-1) unstable; urgency=medium

  * New upstream version 1.3.6
  * Add python3-myst-parser as B-D to build doc
  * Bump std-ver to 4.7.0

 -- Bo YU <tsu.yubo@gmail.com>  Sat, 28 Sep 2024 20:05:40 +0800

## ubelt 1.3.7

=== debian/changelog ===
ubelt (1.3.7-1) unstable; urgency=medium

  * New upstream version 1.3.7. (Closes: #1089069)

 -- Bo YU <tsu.yubo@gmail.com>  Sat, 07 Dec 2024 21:41:17 +0800

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,8 @@
                python3-sphinx-reredirects <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
                dh-sequence-sphinxdoc <!nodoc>,
-Standards-Version: 4.6.2
+               python3-myst-parser <!nodoc>,
+Standards-Version: 4.7.0
 Homepage: https://github.com/Erotemic/ubelt
 Vcs-Git: https://salsa.debian.org/python-team/packages/ubelt.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/ubelt

=== debian/tests/control ===
Tests: pytest 
Depends: @, python3-all, python3-pytest, python3-xdoctest, python3-requests
Restrictions: needs-root

=== debian/watch ===
version=4
https://github.com/Erotemic/ubelt/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## ubelt 1.4.0

=== debian/changelog ===
ubelt (1.4.0-1) unstable; urgency=medium

  * debian/watch: use v5
  * New upstream version 1.4.0. (Closes: #1122491)
  * Update the email of maintainer
  * Bunp std-ver to 4.7.2

 -- Bo YU <vimer@debian.org>  Mon, 22 Dec 2025 22:04:27 +0800

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Bo YU <tsu.yubo@gmail.com>
+Uploaders: Bo YU <vimer@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
@@ -19,7 +19,7 @@
                python3-sphinx-rtd-theme <!nodoc>,
                dh-sequence-sphinxdoc <!nodoc>,
                python3-myst-parser <!nodoc>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/Erotemic/ubelt
 Vcs-Git: https://salsa.debian.org/python-team/packages/ubelt.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/ubelt

=== debian/watch ===
Version: 5
Template: Github
Owner: Erotemic
Project: ubelt
Dversion-Mangle: auto
